library ieee;
use ieee.std_logic_1164.all;

entity contatore13 is 
port(ab,clk:in std_logic;
	reset:inout std_logic:='0';
     cont:out std_logic_vector(3 downto 0);
     div: out std_logic:='0');
end entity;

architecture contatore13_arc of contatore13 is
			component fft is
				port(clk,ab,reset:in std_logic;
						stato:out std_logic);
			end component;

for all: fft use entity work.ff_t_ed(ff_t_ed_arc);	
signal temp:std_logic_vector(3 downto 0);
signal ing:std_logic_vector(2 downto 0);
signal d:std_logic;

begin

fft1: fft port map(clk,ab,reset,temp(0));
fft2: fft port map(clk,ing(0),reset,temp(1));
fft3: fft port map(clk,ing(1),reset,temp(2));
fft4: fft port map(clk,ing(2),reset,temp(3));
cont<=temp;

ing(0)<= ab and temp(0);
ing(1)<= ab and temp(0) and temp(1);
ing(2)<= ab and temp(0) and temp(1) and temp(2);
d<=temp(0) and (not temp(1)) and temp(2) and temp(3);
div<=d when (clk='1' and clk'event);
reset<=d when (clk='1' and clk'event);

end architecture;
